#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#=====================================================================
# Chapitre 01 Exercice 59                                        ELEVE       
#=====================================================================
"""
Programme permettant de contrôler un lot numéro X de 100 bouteilles de
boissons contenant des probiotiques dont les mesures de pH sont
stockées dans le fichier pH_lot_X_txt.
"""
# ============ Extraction des données : NE PAS MODIFIER ==============

pH_lot=[] # Initialisation d'une liste vide pour les valeurs de pH
with open('pH_lot_1.txt') as fichier :
    line = fichier.readline()# Lecture de la première ligne du fichier
    while line :           # Instructions pour chaque ligne du fichier
        pH_lot.append(float(line)) 
        line=fichier.readline() # Lecture de la ligne suivante

# ============== Contrôle de qualité du lot ==========================

import numpy as np                        
N=len(pH_lot)
...A compléter... # Calcul de la valeur moyenne du pH du lot
...A compléter... # Calcul de l'incertitude-type 

# Test de contrôle de qualité du lot
...A compléter...





# Affichage
...A compléter...


# ============ Affichage de l'histogramme des valeurs de pH ==========

from matplotlib import pyplot as plt
plt.hist(pH_lot,range=(...A compléter...),bins=...A compléter...,edgecolor='black')
plt.title('...A compléter...')
plt.xlabel('...A compléter...')
plt.ylabel('...A compléter...')
plt.show()